import React, { useContext } from 'react';
import UserInfoContext from '../../context/userinfo-context';

function Home() {
  const { userinfo, updateUserInfo } = useContext(UserInfoContext);
  return (
    <div>
      Home
      {userinfo.userId}
      <button
        onClick={() =>
          updateUserInfo({
            userId: '3456',
          })
        }>
        更新用户
      </button>
    </div>
  );
}

export default Home;
